:root {
  --max-width: 1100px;
  --border-radius: 12px;
  --font-mono: ui-monospace, Menlo, Monaco, "Cascadia Mono", "Segoe UI Mono",
    "Roboto Mono", "Oxygen Mono", "Ubuntu Monospace", "Source Code Pro",
    "Fira Mono", "Droid Sans Mono", "Courier New", monospace;

  --foreground-rgb: 0, 0, 0;
  --background-start-rgb: 214, 219, 220;
  --background-end-rgb: 255, 255, 255;

  --primary-glow: conic-gradient(
    from 180deg at 50% 50%,
    #16abff33 0deg,
    #0885ff33 55deg,
    #54d6ff33 120deg,
    #0071ff33 160deg,
    transparent 360deg
  );
  --secondary-glow: radial-gradient(
    rgba(255, 255, 255, 1),
    rgba(255, 255, 255, 0)
  );

  --tile-start-rgb: 239, 245, 249;
  --tile-end-rgb: 228, 232, 233;
  --tile-border: conic-gradient(
    #00000080,
    #00000040,
    #00000030,
    #00000020,
    #00000010,
    #00000010,
    #00000080
  );

  --callout-rgb: 238, 240, 241;
  --callout-border-rgb: 172, 175, 176;
  --card-rgb: 180, 185, 188;
  --card-border-rgb: 131, 134, 135;
}

@media (prefers-color-scheme: dark) {
  :root {
    --foreground-rgb: 255, 255, 255;
    --background-start-rgb: 0, 0, 0;
    --background-end-rgb: 0, 0, 0;

    --primary-glow: radial-gradient(rgba(1, 65, 255, 0.4), rgba(1, 65, 255, 0));
    --secondary-glow: linear-gradient(
      to bottom right,
      rgba(1, 65, 255, 0),
      rgba(1, 65, 255, 0),
      rgba(1, 65, 255, 0.3)
    );

    --tile-start-rgb: 2, 13, 46;
    --tile-end-rgb: 2, 5, 19;
    --tile-border: conic-gradient(
      #ffffff80,
      #ffffff40,
      #ffffff30,
      #ffffff20,
      #ffffff10,
      #ffffff10,
      #ffffff80
    );

    --callout-rgb: 20, 20, 20;
    --callout-border-rgb: 108, 108, 108;
    --card-rgb: 100, 100, 100;
    --card-border-rgb: 200, 200, 200;
  }
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html,
body {
  max-width: 100vw;
  overflow-x: hidden;
}

a {
  color: inherit;
  text-decoration: none;
}

.item_slick_img_modal {
  max-height: 584px !important;
  height: 500px !important;
  width: 470px;
}
.color-variant li > span {
  height: auto !important;
  width: auto !important;
  background-color: #fff;
  padding: 15px;
}
.color-variant li > span {
  padding: 8px;
}
.single-product-content
  .inner
  .product-variation
  .color-variant
  li
  > span
  .color {
  width: 20px !important;
  height: 20px !important;
}
.allcolor {
  background-image: url("../images/allcolor.jpg");
  background-size: contain;
}
.arrow-between-side .slide-arrow {
  position: absolute;
  left: 40px;
  top: 50%;
  transform: translateY(-50%);
}

/* .slick-prev{
  left: 40px !important; 
  z-index: 1 !important;
}
.slick-next{
  right: 40px !important;
  z-index: 1 !important;
}
.slick-next,.slick-prev{
  outline: none;
    width: 50px !important;
    height: 50px !important;
    background: #F6F7FB !important;
    color: #777777 !important;
    border: none !important;
    border-radius: 6px !important;
    z-index: 2;
}
.astrabon-slick-arrow .slide-arrow {
  outline: none;
  width: 50px;
  height: 50px;
  background: var(--color-lighter);
  color: var(--color-body);
  border: none;
  border-radius: 6px;
  z-index: 2;
} */
.Toastify__toast-body {
  flex: 1 0 auto;
  width: 90%;
}
.astrabon-product > .thumbnail > img {
  max-height: 250px !important;
}
img {
  max-height: none !important;
}

.next-img {
  object-fit: cover !important;
  height: auto !important;
}
.astrabon-btn {
  background-color: #d82137;
  color: #ffffff;
  border-radius: 6px;
  font-size: var(--font-size-b1);
  line-height: var(--line-height-b1);
  font-weight: 700;
  display: inline-block;
  padding: 16px 38px;
  position: relative;
  transition: all 0.3s ease-in-out;
  z-index: 1;
  width: fit-content;
}

.astrabon-product .cart-action li.select-option button {
  position: relative;
  height: 40px;
  line-height: 39px;
  padding: 0 18px;
  display: block;
  border-radius: 4px;
  font-weight: 700;
  font-size: 14px;
  color: #fff;
  background-color: #be1e2d;
  transition: 0.3s;
  box-shadow: 0 16px 32px 0 rgba(0, 0, 0, 0.06);
  position: relative;
  z-index: 1;
}
/* .astrabon-product .cart-action li.wishlist button, .astrabon-product .cart-action li.quickview button {
  width: 40px;
  height: 40px;
  line-height: 42px;
  border-radius: 4px;
  background-color: var(--color-white);
  display: block;
  text-align: center;
  transition: 0.3s;
  position: relative;
  font-size: 14px;
  color: var(--color-heading);
  box-shadow: 0 16px 32px 0 rgba(0, 0, 0, 0.06);
  position: relative;
  z-index: 1;
} */

@media (prefers-color-scheme: dark) {
  html {
    color-scheme: dark;
  }
}
.news-desc {
  background: #f9f3f0;
  border-left: 6px solid #fab8c4;
  border-radius: 6px;
  padding: 50px;
}
.pages-padding--rl {
  padding-left: 0px !important;
  padding-right: 0px !important;
}
.post-pagination nav.pagination ul li span:hover {
  background: var(--color-primary);
  color: #ffffff;
  border-color: var(--color-primary);
}
.astrabon-single-post.post-formate .content-block .post-thumbnail img {
  border-radius: 6px;
  height: 80%;
  width: 80%;
}
.astrabon-single-post.post-formate .content-block .thumbnail img {
  border-radius: 6px;
  height: 100%;
  width: 100%;
}
.form-group input[type="file"] {
  margin-left: -2px !important;
}

.form-group input[type="file"]::-webkit-file-upload-button {
  display: none;
}

.form-group input[type="file"]::file-selector-button {
  display: none;
}

.form-group:hover label {
  cursor: pointer;
}
.file-padding {
  padding: 17px 20px !important;
}
.error-padding {
  margin-left: 28px;
}
.dropdown-style {
  font-size: var(--font-size-b2);
  color: var(--color-body);
  line-height: var(--line-height-b2);
  display: inline-block;
  background-color: #f9f3f0;
}
.header-top-link .quick-link li span div button:hover {
  color: var(--color-primary);
}
/* .astrabon-product .cart-action li.wishlist button, .astrabon-product .cart-action li.quickview button {
  width: 40px;
  height: 40px;
  line-height: 42px;
  border-radius: 4px;
  background-color: var(--color-white);
  display: block;
  text-align: center;
  transition: 0.3s;
  position: relative;
  font-size: 14px;
  color: var(--color-heading);
  box-shadow: 0 16px 32px 0 rgba(0, 0, 0, 0.06);
  position: relative;
  z-index: 1;
}
.astrabon-product .cart-action li.wishlist button:before, .astrabon-product .cart-action li.quickview button:before {
  content: "";
  height: 100%;
  width: 100%;
  background-color: var(--color-white);
  border-radius: 4px;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: -1;
  transition: transform 0.5s cubic-bezier(0.165, 0.84, 0.44, 1);
}
.astrabon-product .cart-action li.wishlist button.bg-red:before, .astrabon-product .cart-action li.quickview button.bg-red:before {
  background-color: #be1e2d;


} */

.astrabon-product .cart-action li.wishlist button i,
.astrabon-product .cart-action li.quickview button i {
  transition: all 0.3s ease-in-out;
}
.astrabon-product .cart-action li.wishlist button:hover:before,
.astrabon-product .cart-action li.quickview button:hover:before {
  transform: scale(1.2);
}
.astrabon-product .cart-action li.wishlist button:hover i,
.astrabon-product .cart-action li.quickview button:hover i {
  animation: btnIconSlide 400ms;
}
.astrabon-product .cart-action li.select-option button {
  position: relative;
  height: 40px;
  line-height: 39px;
  padding: 0 18px;
  display: block;
  border-radius: 4px;
  font-weight: 700;
  font-size: 14px;
  color: var(--color-white);
  background-color: var(--color-secondary);
  transition: 0.3s;
  box-shadow: 0 16px 32px 0 rgba(0, 0, 0, 0.06);
  position: relative;
  z-index: 1;
}
.astrabon-product .cart-action li.select-option button:before {
  content: "";
  height: 100%;
  width: 100%;
  background-color: var(--color-secondary);
  border-radius: 4px;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: -1;
  transition: transform 0.5s cubic-bezier(0.165, 0.84, 0.44, 1);
}
.astrabon-product .cart-action li.select-option button:hover {
  background-color: var(--color-secondary);
  color: var(--color-white);
}
.astrabon-product .cart-action li.select-option button:hover:before {
  transform: scale(1.1);
}
.reg-failure {
  font-size: 20px;
  font-family: "DM Sans", sans-serif;
  color: #be1e2d;
  margin-bottom: 5px;
  font-weight: 700;
}
.reg-success {
  font-size: 28px;
  font-family: "DM Sans", sans-serif;
  /* color: rgb(56, 201, 12); */
  color: #be1e2d;
  margin-bottom: 5px;
  font-weight: 700;
  margin-left: 0px;
}

.wishlist-btn,
.wishlist-red-btn {
  width: 40px;
  height: 40px;
  line-height: 42px;
  border-radius: 4px;
  background-color: var(--color-white);
  display: block;
  text-align: center;
  transition: 0.3s;
  position: relative;
  font-size: 14px;
  color: var(--color-heading);
  box-shadow: 0 16px 32px 0 rgba(0, 0, 0, 0.06);
  position: relative;
  z-index: 1;
}
.wishlist-red-btn {
  background-color: #be1e2d;
}
.wishlist-red-btn:before {
  background-color: #be1e2d;
}
.wishlist-btn:before {
  content: "";
  height: 100%;
  width: 100%;
  background-color: var(--color-white);
  border-radius: 4px;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: -1;
  transition: transform 0.5s cubic-bezier(0.165, 0.84, 0.44, 1);
}
.wishlist-btn:hover:before {
  background: var(--color-primary);
  border-color: var(--color-primary);
  color: var(--color-white);
}
.wishlist-btn:hover {
  color: white;
}
.btn-size {
  width: fit-content !important;
  height: fit-content !important;
}
.error {
  color: #d82137;
}
.rbt-menu > .dropdown-item {
  display: block;
  width: 100%;
  padding: var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);
  clear: both;
  font-weight: 400;
  font-size: 15px;
  color: var(--color-heading);
  text-align: inherit;
  text-decoration: none;
  white-space: nowrap;
  background-color: transparent;
  border: 0;
  font-family: "DM Sans", sans-serif;
}
.infinite-scroll-component {
  overflow: hidden !important;
}
.search-design {
  font-size: 30px;
  font-weight: 600;
  text-shadow: 1px 5px 3px #ddd;
}
#basic-typeahead-single {
  inset: 0px 0px 0px 30px;
}
.rbt-close {
  font-size: xx-large;
  padding-right: 30px !important;
  background: none !important;
  margin-top: -1rem !important;
}
.offer-amount {
  margin-left: 15px;
  color: #acacac;
  text-decoration: line-through;
}
.astrabon-product > .thumbnail > a {
  display: block;
  background-color: #f7f7f7;
  border-radius: 6px;
  overflow: visible;
  position: relative;
}
.astrabon-product .cart-action li.quickview button {
  width: 40px;
  height: 40px;
  line-height: 42px;
  border-radius: 4px;
  background-color: var(--color-white);
  display: block;
  text-align: center;
  transition: 0.3s;
  position: relative;
  font-size: 14px;
  color: var(--color-heading);
  box-shadow: 0 16px 32px 0 rgba(0, 0, 0, 0.06);
  position: relative;
  z-index: 1;
}
.text-color {
  color: #be1e2d;
}
.astrabon-product > .thumbnail .label-block.label-right {
  left: auto;
  right: 3px;
}
.astrabon-product > .thumbnail .label-block {
  position: absolute;
  top: 5px;
  left: 24px;
  z-index: 2;
}
.px--30 {
  padding-right: 30rem;
  padding-left: 30rem;
}
.text-style {
  font-size: 14px;
  padding-left: 20px;
}
.star-color {
  color: #e76458;
}
.review-btn {
  padding: 10px 75px !important;
}
.review-title {
  font-size: 25px !important;
  margin-bottom: 0px !important;
  color: #000 !important;
  font-weight: 500 !important;
}
.astrabon-product-list .thumbnail a {
  background-color: #f7f7f7;
  border-radius: 6px;
  display: block;
  transition: var(--transition);
  overflow: visible;
}
.astrabon-section {
  padding: 35px 0;
}
.font-size {
  font-size: 22px !important;
}

.astrabon-img {
  width: 5%;
  object-fit: contain;
}
.authors-title {
  font-size: 16px !important;
}
.review-title {
  font-size: 16px !important;
  color: #000 !important;
  font-weight: 500 !important;
}
.li--position {
  position: static !important;
  padding-right: 10px !important;
  padding-left: 0px !important;
}

.review-link a:hover {
  text-decoration: none;
  outline: none;
  color: var(--color-primary) !important;
}

.p-100 {
  padding-left: 100px;
}
.fs--28 {
  font-size: 28px;
}
.filter-btn:hover,
.filter-btn:focus {
  color: #be1e2d;
}
.filter-btn {
  color: #292930;
}
.quick-view-product .modal-dialog {
  max-width: 1300px !important;
}
.progress {
  --bs-progress-bar-bg: #777;
}
.product-title-itemname {
  font-size: 25px;
  font-weight: 600;
  color: #777;
}
.modal-header-items {
  padding-left: 10px !important;
  padding-top: 2px !important;
  padding-bottom: 2px !important;
  padding-right: 0px !important ;
}
.footer-style-2 .footer-top.separator-top:after {
  background-color: transparent;
  height: 0px;
}

.single-poster:hover img {
  transform: scale(1) !important;
}
.single-poster a img {
  width: 100% !important;
}
.quality--product {
  position: relative;
}

.poster-content {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  top: 70% !important;
}
.single-poster .inner .title {
  color: var(--color-white);
  background-color: #1b1a1a1f;
  font-size: 30px;
  line-height: 1;
}

.poster-content .inner {
  padding: 20px; /* Adjust the padding as needed */
}

.poster-content .title {
  color: white; /* Optional: Set text color */
}
.image-container {
  /* position: relative; */
  width: 100%;
  height: 246px;
  overflow: hidden;
  margin-bottom: -10px;
}

.image-container img {
  width: 100%;
  height: 100%;
  object-fit: fill;
}
.single-poster {
  border-radius: 6px;
  overflow: hidden;
  position: relative;
  border: 1px solid #f1f1f1;
}
.product-small-thumb.slick-initialized .slick-slide,
.product-large-thumbnail.slick-initialized .slick-slide {
  background-color: #fff !important;
  display: flex !important;
  justify-content: center !important;
}

.item_slick_img {
  max-height: 584px !important;
  height: 670px !important;
  width: 670px;
  object-fit: contain;
}
.astrabon-product > .thumbnail {
  display: block;
  position: relative;
  /* width: 255px; */
  height: 250px;
}
.astrabon-product > .thumbnail > a img {
  border-radius: 6px;
  transition: 0.3s;
  width: 100%;
  height: 250px;
  max-height: 250px !important;
  object-fit: contain;
}
.astrabon-product > .thumbnail > a {
  background-color: #fff !important;
}
.banner-img {
  max-height: 450px !important;
  object-fit: cover;
}
.promotion-img {
  height: 120px !important;
  max-height: 120px !important;
  width: 100%;
  object-fit: contain;
}
.flashsale-img {
  height: 350px !important;
  max-height: 350px !important;
  width: 100%;
  object-fit: contain;
}
.cart-img {
  width: 100% !important;
  aspect-ratio: 1/1;
  object-fit: contain !important;
  background: #fff !important;
  height: 100% !important;
}
.cart-dropdown .cart-item .item-img {
  margin-right: 30px;
  position: relative;
  width: 100px;
}
.checkout-error {
  color: #d82137;
  font-size: 20px;
  animation: 0.5s ease-out slidein;
}
@keyframes slidein {
  0% {
    transform: translateY(5px);
  }
  50% {
    transform: translateY(-5px);
  }
  75% {
    transform: translateY(-3px);
  }
  100% {
    transform: translateY(0px);
  }
}
.aboutus-carousel {
  max-height: 605px !important;
  object-fit: cover !important;
}
.career-image {
  max-height: 350px !important;
  object-fit: cover !important;
}
.product-name {
  margin-bottom: 0px;
}
.product-code {
  margin-bottom: 10px;
  color: #777;
}
.astrabon-product-list .thumbnail img {
  border-radius: 6px;
  transition: var(--transition);
  background: #fff;
}
.small-thumb-wrapper .small-thumb-img img {
  border: 2px solid transparent;
  border-radius: 10px;
  height: 80px;
  transition: all 0.2s;
  width: 80px;
  object-fit: contain;
}
@media only screen and (max-width: 575px) {
  .music-singnal {
    display: block;
    top: 40%;
    left: 40%;
  }
}
.content-blog .content p {
  margin-bottom: 1rem !important;
}
p {
  margin-bottom: 1rem !important;
}
.terms-condition-checkbox {
  border-bottom: 1px solid #cbd3d9;
  padding-bottom: 10px !important;
}
.terms-condition-checkbox .input-group a {
  color: #292930;
  font-size: 18px;
}
.terms-condition-checkbox .input-group a:hover {
  color: #d82137;
}

.shoppage_filter_container > .single-select{
  margin-left: 5px;
  margin-right: 5px;
  border: 2px solid #cbd3d9;
}
.clear_filter_btn{
  margin-left: 5px;
  width: 100px;

}
.astrabon-dashboard-order .table tbody tr td {
  min-width: 160px;
}
.h-auto{
  height: auto;
}